Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::group_by_fn Struct Reference

## Synopsis of methods
constexpr view< group_by_fn > | group_by {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> group_by_view< all_t< Rng >, Fun > requires ViewableRange< Rng > &&ForwardRange< Rng > &&IndirectRelation< Fun, iterator_t< Rng >>